# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.PropertyBinding

Packages that use PropertyBinding
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of PropertyBinding in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return types with arguments of type PropertyBinding
Modifier and Type
Method
Description
`List<PropertyBinding>`
DesignElementHandle.`getPropertyBindings()`
Gets all the defined property bindings for the given element.
`List<PropertyBinding>`
DesignElementHandle.`getSemanticErrors()`
Returns the semantic error list, each of which is the instance of `ErrorDetail`.